Jakarta-Regexp 1.5 API: Class REDemo

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.regexp
Class REDemo

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--java.applet.Applet
                              |
                              +--org.apache.regexp.REDemo

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.awt.event.TextListener

public class REDemo
extends java.applet.Applet
implements java.awt.event.TextListener

Interactive demonstration and testing harness for regular expressions classes.

Version:
  $Id: REDemo.java 518156 2007-03-14 14:31:26Z vgritsenko $
Author:
  Jonathan Locke
See Also:
  Serialized Form

Inner classes inherited from class java.applet.Applet
`java.applet.Applet.AccessibleApplet`

Inner classes inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.AWTTreeLock`

Field Summary
`(package private) REDebugCompiler` | `compiler`
`(package private) java.awt.TextField` | `fieldMatch`
`(package private) java.awt.TextField` | `fieldRE` Components
`(package private) java.awt.TextArea` | `outMatch`
`(package private) java.awt.TextArea` | `outRE`
`(package private) RE` | `r` Matcher and compiler objects

Fields inherited from class java.applet.Applet
`accessibleContext, serialVersionUID, stub`

Fields inherited from class java.awt.Panel
`base, nameCounter`

Fields inherited from class java.awt.Container
`component, containerListener, containerSerializedDataVersion, dbg, dispatcher, layoutMgr, listeningBoundsChildren, listeningChildren, maxSize, ncomponents, printing, printingThreads`

Fields inherited from class java.awt.Component
`actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, changeSupport, componentListener, componentListenerK, componentOrientation, componentSerializedDataVersion, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, name, nameExplicitlySet, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, privateKey, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`REDemo()`

Method Summary
`void` | `init()` Add controls and init applet
`static void` | `main(java.lang.String[] arg)` Main application entrypoint.
`(package private) void` | `sayMatch(java.lang.String s)` Say something into match text area
`(package private) void` | `sayRE(java.lang.String s)` Say something into RE text area
`void` | `textValueChanged(java.awt.event.TextEvent e)` Called when text values change
`(package private) java.lang.String` | `throwableToString(java.lang.Throwable t)` Convert throwable to string
`(package private) void` | `updateMatch(java.lang.String match)` Update matching info by matching the string against the current compiled regular expression.
`(package private) void` | `updateRE(java.lang.String expr)` Change regular expression

Methods inherited from class java.applet.Applet
`destroy, getAccessibleContext, getAppletContext, getAppletInfo, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, getParameterInfo, isActive, newAudioClip, play, play, resize, resize, setStub, showStatus, start, stop`

Methods inherited from class java.awt.Panel
`, addNotify, constructComponentName`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, adjustListeningChildren, applyOrientation, checkGD, countComponents, createChildHierarchyEvents, createHierarchyEvents, deliverEvent, dispatchEventImpl, dispatchEventToSelf, doLayout, eventEnabled, findComponentAt, findComponentAt, findComponentAt, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, initIDs, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPaint, lightweightPrint, list, list, locate, minimumSize, nextFocus, numListening, paint, paintComponents, paintHeavyweightComponents, paramString, postProcessKeyEvent, postsOldMouseEvents, preferredSize, preProcessKeyEvent, print, printComponents, printHeavyweightComponents, processContainerEvent, processEvent, proxyEnableEvents, proxyRequestFocus, readObject, remove, remove, removeAll, removeContainerListener, removeNotify, setFocusOwner, setFont, setLayout, transferFocus, update, validate, validateTree, writeObject`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, checkWindowClosingException, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAccessibleIndexInParent, getAccessibleStateSet, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getInputContext, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkit, getToolkitImpl, getTreeLock, getWidth, getWindowForObject, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isRecursivelyVisible, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, resetGC, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### r

    RE r

  Matcher and compiler objects

### compiler

    REDebugCompiler compiler

### fieldRE

    java.awt.TextField fieldRE

  Components

### fieldMatch

    java.awt.TextField fieldMatch

### outRE

    java.awt.TextArea outRE

### outMatch

    java.awt.TextArea outMatch

Constructor Detail

### REDemo

    public REDemo()

Method Detail

### init

    public void init()

  Add controls and init applet
  Overrides:
    `init` in class `java.applet.Applet`

### sayRE

    void sayRE(java.lang.String s)

  Say something into RE text area
  Parameters:
    `s` - What to say

### sayMatch

    void sayMatch(java.lang.String s)

  Say something into match text area
  Parameters:
    `s` - What to say

### throwableToString

    java.lang.String throwableToString(java.lang.Throwable t)

  Convert throwable to string
  Parameters:
    `t` - Throwable to convert to string

### updateRE

    void updateRE(java.lang.String expr)

  Change regular expression
  Parameters:
    `expr` - Expression to compile

### updateMatch

    void updateMatch(java.lang.String match)

  Update matching info by matching the string against the current compiled regular expression.
  Parameters:
    `match` - String to match against

### textValueChanged

    public void textValueChanged(java.awt.event.TextEvent e)

  Called when text values change
  Specified by:
    `textValueChanged` in interface `java.awt.event.TextListener`
  Parameters:
    `e` - TextEvent

### main

    public static void main(java.lang.String[] arg)

  Main application entrypoint.
  Parameters:
    `arg` - Command line arguments

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.